/// Specifies the alignment of a view's content.
#[derive(Default)]
pub enum Gravity {
    /// Align content to the start of the view.
    /// In horizontal layouts, this is the left side for L2R layouts and the
    /// right side for R2L layouts.  In vertical layouts, it is the top.
    #[default]
    Start,
    /// Align content to the center of the view.
    Center,
    /// Align content to the end of the view.
    /// In horizontal layouts, this is the right side for L2R layouts and the
    /// left side for R2L layouts.  In vertical layouts, it is the bottom.
    End,
}
