use uwui_dsl::NativeComponent;

use crate::backend::Backend;
use crate::layout::Gravity;
use crate::view::Construct;

#[derive(NativeComponent)]
pub struct Text {
    params: TextParams,
}

#[derive(Default)]
pub struct TextParams {
    pub content: String,
    pub gravity: Gravity,
}

impl From<(String,)> for TextParams {
    fn from(value: (String,)) -> Self {
        Self {
            content: value.0,
            ..Default::default()
        }
    }
}

impl Construct for Text {
    type Params = TextParams;

    fn construct(params: Self::Params) -> Self {
        Self { params }
    }
}
